<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetUser StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetUser extends AbstractStructBase
{
    /**
     * The GetUserRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgGetUserRQ
     */
    public $GetUserRQ;
    /**
     * Constructor method for GetUser
     * @uses DgGetUser::setGetUserRQ()
     * @param \dgsoft\StructType\DgGetUserRQ $getUserRQ
     */
    public function __construct(\dgsoft\StructType\DgGetUserRQ $getUserRQ = null)
    {
        $this
            ->setGetUserRQ($getUserRQ);
    }
    /**
     * Get GetUserRQ value
     * @return \dgsoft\StructType\DgGetUserRQ|null
     */
    public function getGetUserRQ()
    {
        return $this->GetUserRQ;
    }
    /**
     * Set GetUserRQ value
     * @param \dgsoft\StructType\DgGetUserRQ $getUserRQ
     * @return \dgsoft\StructType\DgGetUser
     */
    public function setGetUserRQ(\dgsoft\StructType\DgGetUserRQ $getUserRQ = null)
    {
        $this->GetUserRQ = $getUserRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetUser
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
